

provider "vsphere" {
  user                  = var.user
  password              = var.password
  vsphere_server        = var.vsphere_server
  allow_unverified_ssl  = true
}


/*================
Deploy Virtual Machines
=================*/

module "VMs" {
  source = "../VMs"
  data_center           = var.data_center
  cluster               = var.cluster
  workload_datastore    = var.workload_datastore
  compute_pool          = var.compute_pool 
  admin_password        = var.admin_password
  join_domain           = var.join_domain
  domain_admin_user     = var.domain_admin_user
  domain_admin_password = var.domain_admin_password
}